PETSc version 3.15.5
Fix/Edit manual page

# KSPGetReusePreconditioner

Determines if the KSP reuses the current preconditioner even if the operator in the preconditioner has changed.

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPGetReusePreconditioner(KSP ksp,PetscBool *flag)

Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()

### Output Parameters

| flag | - the boolean flag

### See Also

KSPCreate(), KSPSolve(), KSPDestroy(), KSPSetReusePreconditioner(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages